Subject: Ticket Assigned - Order# 9633358870
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 10 Mar 2021 02:01:21 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order# 9633358870 I've returned 5 items fron the mentioned order and I'd got refunded only
for 3 items, it been more than 3 weeks already.
And I'd phoned call center 7 times but no one have any idea what's going on.
Last time I asked to speak with a manger and the lady on the phone refused
then she told me that he is busy at the moment and will call you later but
it never happened.

Worst call center and worst system ever.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2205916